curl --request POST \
--url https://api.kairosafrika.com/v1/external/sms/quick/6d558b0b-0458-4b42-919c-d7dbba76600d/resend \
--header 'x-api-key: YOUR_API_KEY' \
--header 'x-api-secret: YOUR_API_SECRET' \
--header 'x-api-version: 2025-08-01' \
--header 'Content-Type: application/json' \
--data '{
"message": "This is test for the Wrapper API"
}'
{
"statusCode": 201,
"statusMessage": "Sms successfully sent.",
"transactionId": "b0cdebad-e925-4437-b852-5aab112781f0",
"sequenceNo": "01K6MN2T13XNK40X17F5FH45DV",
"data": {
"totalBatches": 1,
"batches": [
{
"jobId": "b7d80ca9-4839-407c-b696-74c4ab2c570e",
"messages": [
{
"to": "233559400612",
"from": "BLUEFS",
"message": "This is a testing message from the production server apis",
"type": "Quick",
"sequenceNo": "01K6MN2T13XNK40X17F5FH45DV",
"transactionId": "b0cdebad-e925-4437-b852-5aab112781f0"
}
]
}
],
"senderAddress": "BLUEFS"
},
"timestamp": "2025-10-03T09:05:08.745Z"
}Endpoints
Resend SMS Message
Resend an SMS message with updated content
POST
/
v1
/
external
/
sms
/
quick
/
{messageId}
/
resend
curl --request POST \
--url https://api.kairosafrika.com/v1/external/sms/quick/6d558b0b-0458-4b42-919c-d7dbba76600d/resend \
--header 'x-api-key: YOUR_API_KEY' \
--header 'x-api-secret: YOUR_API_SECRET' \
--header 'x-api-version: 2025-08-01' \
--header 'Content-Type: application/json' \
--data '{
"message": "This is test for the Wrapper API"
}'
{
"statusCode": 201,
"statusMessage": "Sms successfully sent.",
"transactionId": "b0cdebad-e925-4437-b852-5aab112781f0",
"sequenceNo": "01K6MN2T13XNK40X17F5FH45DV",
"data": {
"totalBatches": 1,
"batches": [
{
"jobId": "b7d80ca9-4839-407c-b696-74c4ab2c570e",
"messages": [
{
"to": "233559400612",
"from": "BLUEFS",
"message": "This is a testing message from the production server apis",
"type": "Quick",
"sequenceNo": "01K6MN2T13XNK40X17F5FH45DV",
"transactionId": "b0cdebad-e925-4437-b852-5aab112781f0"
}
]
}
],
"senderAddress": "BLUEFS"
},
"timestamp": "2025-10-03T09:05:08.745Z"
}Resend SMS Message
This endpoint allows you to resend an SMS message with updated content using the original message ID. Endpoint:POST /v1/external/sms/quick/{messageId}/resend
curl --request POST \
--url https://api.kairosafrika.com/v1/external/sms/quick/6d558b0b-0458-4b42-919c-d7dbba76600d/resend \
--header 'x-api-key: YOUR_API_KEY' \
--header 'x-api-secret: YOUR_API_SECRET' \
--header 'x-api-version: 2025-08-01' \
--header 'Content-Type: application/json' \
--data '{
"message": "This is test for the Wrapper API"
}'
Path Parameter
- messageId (string, required): The ID of the original SMS message to resend.
Request Body
- message (string, required): The updated SMS message content to send.
Responses
- 200 OK: SMS resent successfully.
- 404 Not Found: Original message not found.
- 400 Bad Request: Invalid request data.
Authorizations
API Key for authentication
API Secret for authentication
Headers
API version header (required for full JSON response)
Available options:
2025-08-01 Path Parameters
The ID of the original SMS message to resend
Body
application/json
The updated SMS message content to send
Maximum string length:
1600Example:
"This is test for the Wrapper API"
Response
SMS resent successfully
HTTP status code
Example:
201
Status message
Example:
"Sms successfully sent."
Unique transaction identifier
Example:
"b0cdebad-e925-4437-b852-5aab112781f0"
Sequence number
Example:
"01K6MN2T13XNK40X17F5FH45DV"
Show child attributes
Show child attributes
ISO 8601 timestamp
Example:
"2025-10-03T09:05:08.745Z"